package mi.hdm.recipes;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;


public class IngredientTest {

    RecipeManager recipeManager = new RecipeManager(null, null, new ArrayList<>(), null);
    NutritionTable tt = ValidObjectsPool.getValidNutritionTable();

    @Test
    public void testEquals() {
        Ingredient i1 = new Ingredient(Measurement.GRAM, "Banana", tt);
        Ingredient i2 = new Ingredient(Measurement.PIECE, "Banana", tt);
        Ingredient i3 = new Ingredient(Measurement.GRAM, "Apple", tt);

        assertEquals(i1, i2);
        assertNotEquals(i1, i3);
        assertNotEquals(i2, i3);
    }

    @Test
    public void shouldNotBeAbleToAddIdenticalName() {
        recipeManager.addIngredient(new Ingredient(Measurement.GRAM, "Banana", tt));
        recipeManager.addIngredient(new Ingredient(Measurement.PIECE, "Banana", tt));

        Assert.assertEquals(1, recipeManager.getIngredients().size());
    }
}
