package mi.hdm.recipes;

import mi.hdm.exceptions.InvalidNutritionTableException;
import org.junit.Test;

import java.util.HashMap;
import java.util.Map;

import static org.junit.Assert.assertEquals;

public class NutritionTableTest {

    @Test(expected = InvalidNutritionTableException.class)
    public void shouldNotCreateInvalidNutritionTable() {
        new NutritionTable(-1.0, 1.0, 1.0, 1.0, 1.0, 1.2);
    }

    @Test
    public void shouldCreateValidNutritionTable() {
        //given
        double calories = 100.0;
        double carbs = 23.0;
        double fats = 1.0;
        double protein = 9.5;
        double fibers = 4.3;
        double salt = 0.7;

        //when
        NutritionTable underTest = new NutritionTable(calories, carbs, fats, protein, fibers, salt);

        //expect
        Map<Nutrition, Double> expected = new HashMap<>();
        expected.put(Nutrition.CALORIES, calories);
        expected.put(Nutrition.CARBS, carbs);
        expected.put(Nutrition.FAT, fats);
        expected.put(Nutrition.PROTEINS, protein);
        expected.put(Nutrition.FIBERS, fibers);
        expected.put(Nutrition.SALT, salt);

        assertEquals(expected, underTest.getTable());
    }

}